"""JSON containing file type identifier and list of stock classes"""

# Autogenerated, do not edit.
# Copyright © 2023 Shoobx, Fidelity Investments
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/main/schema/files/StockClassesFile.schema.json

from pyocf.objects.stockclass import StockClass
from pyocf.primitives.files.file import FileObject
from typing import Literal


class StockClassesFile(FileObject):
    """JSON containing file type identifier and list of stock classes"""

    # List of OCF stock class objects
    items: list[StockClass]
    file_type: Literal["OCF_STOCK_CLASSES_FILE"] = "OCF_STOCK_CLASSES_FILE"
