"""Abstract object describing fields common to all exercise transaction objects"""

# Autogenerated, do not edit.
# Copyright © 2023 Shoobx, Fidelity Investments
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/main/schema/primitives/objects/transactions/exercise/Exercise.schema.json

from pydantic import BaseModel
from typing import Optional


class Exercise(BaseModel):
    """Abstract object describing fields common to all exercise transaction objects"""

    # Unstructured text description of consideration provided in exchange for security
    # exercise
    consideration_text: Optional[str]
    # Identifier for the security (or securities) that resulted from the exercise
    resulting_security_ids: list[str]
