"""Type representation of an amount of money in a specified currency"""

# Autogenerated, do not edit.
# Copyright © 2023 Shoobx, Fidelity Investments
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/main/schema/types/Monetary.schema.json

from pydantic import BaseModel
from pyocf.types.currencycode import CurrencyCode
from pyocf.types.numeric import Numeric


class Monetary(BaseModel):
    """Type representation of an amount of money in a specified currency"""

    # Numeric amount of money
    amount: Numeric
    # ISO 4217 currency code
    currency: CurrencyCode
