"""Describes a vesting condition satisfied on an absolute date."""

# Autogenerated, do not edit.
# Copyright © 2023 Shoobx, Fidelity Investments
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/main/schema/types/vesting/VestingScheduleAbsoluteTrigger.schema.json

from pyocf.primitives.types.vesting.vestingconditiontrigger import (
    VestingConditionTrigger,
)
from pyocf.types.date import Date
from typing import Literal


class VestingScheduleAbsoluteTrigger(VestingConditionTrigger):
    """Describes a vesting condition satisfied on an absolute date."""

    type: Literal["VESTING_SCHEDULE_ABSOLUTE"] = "VESTING_SCHEDULE_ABSOLUTE"
    # The date on which this condition triggers.
    date: Date
