"""Describes a vesting condition satisfied at the security's vesting commencement"""

# Autogenerated, do not edit.
# Copyright © 2023 Shoobx, Fidelity Investments
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/main/schema/types/vesting/VestingStartTrigger.schema.json

from pyocf.primitives.types.vesting.vestingconditiontrigger import (
    VestingConditionTrigger,
)
from typing import Literal


class VestingStartTrigger(VestingConditionTrigger):
    """Describes a vesting condition satisfied at the security's vesting commencement
    date
    """

    type: Literal["VESTING_START_DATE"] = "VESTING_START_DATE"
